#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>

#define MAXRULES 50
#define MAXPARSES 1000

void main()
{ int sentence_nr, first_rule, chart_entries;
  int rules[MAXPARSES][MAXRULES];
  FILE *inputfile;
  FILE *stillgoodrules;
  FILE *rulesfile;
  int i,j,parse,parses,rule;
  int newrules,newparses,maxeval;
  int eval,s;

  for(i=0;i<MAXPARSES;i++)
    for(j=0;j<MAXRULES;j++)
      rules[i][j] = 0;

  inputfile = fopen("parses.learn.inf","r");
  fscanf(inputfile,"%d",&sentence_nr);
  fscanf(inputfile,"%d",&first_rule);
  fscanf(inputfile,"%d",&chart_entries);

  rulesfile = fopen("good_rules_eval.inf","r");
  while (fscanf(rulesfile,"%d:%d:%d",&s,&rule,&eval) != EOF)
    if (s == sentence_nr)
    { rules[0][rule-first_rule+1] = eval;
      printf("Regel %d hat Bewertung %d.\n",rule,eval); }
  close(rulesfile);

  getc(inputfile);

  parse = 1; 
  do
  { rule = read_rule(inputfile);
    if (rule>0)
    { printf("Parse %d benutzt",parse);
      rules[parse][0] = 1;
      while(rule>0)
      { if (rule>=first_rule)
          if (rules[parse][rule-first_rule+1] == 0)
          { printf(" %d",rule);
            rules[parse][rule-first_rule+1]++; 
            rules[parse][0] *= rules[0][rule-first_rule+1]; }
        rule = read_rule(inputfile); }
      printf(", Bewertung %d.\n",rules[parse][0]);
      parse++; } }
  while (rule != -2);

  printf("\n");
  parses = --parse;

  maxeval = 0;
  if (parse==0)
    printf("Satz nicht gelernt.\n");  
  else
  { for(i=1;i<=parses;i++)
      if (rules[i][0] > maxeval && rules[i][0] > 0)
        maxeval = rules[i][0];

    printf("Maximale Bewertung %d.\n",maxeval);

    printf("Parses mit maximaler Bewertung");
    newparses = 0;
    for(i=1;i<=parses;i++)
      if (rules[i][0] == maxeval)
      { printf(" %d",i);
        for (j=1;j<MAXRULES;j++)
          if (rules[i][j] > 0 && rules[0][j] > 0)
          { rules[0][j] = -1;
            newrules++; }
        newparses++; }
    printf("\n");
  
    printf("Nach wie vor Gute Regeln");
    stillgoodrules = fopen("still_good_rules.inf","a");
    for(i=1;i<MAXRULES;i++)
      if (rules[0][i]<0)
      { printf(" %d",i+first_rule-1);
        fprintf(stillgoodrules,"%d:%d\n",sentence_nr,i+first_rule-1); }
    printf(".\n");
    close(stillgoodrules);

    printf("%d Regeln uebernommen, %d Parses.\n",newrules,newparses); 
} }

int read_rule(FILE *inputfile)
{ char c;
  int rule;

  do
    c=getc(inputfile);
  while (c!=EOF && c!='\n' && (c<'0' || c>'9'));

  if (c==EOF)
    return -2;
  else if (c=='\n')
    return -1;
  else
  { rule = 0;
    do
    { rule = (rule*10) + c-'0';
      c=getc(inputfile); }
    while (c>='0' && c<='9');
    return rule; }
}
   
