
%--- morph.pl - Morphologie-Komponente

%-------------------------------------------------------------- adj

w(naechst,adj,'semcat:dem,').
w(uebernaechst,adj,'semcat:dem,').
w(letzt,adj,'semcat:dem,').
w(dies,adj,'semcat:dem,').

w(erst,adj,'semcat:ordinal,').
w(zweit,adj,'semcat:ordinal,').
w(dritt,adj,'semcat:ordinal,').
w(viert,adj,'semcat:ordinal,').
w(fuenf,adj,'semcat:ordinal,').
w(sechst,adj,'semcat:ordinal,').
w(siebt,adj,'semcat:ordinal,').
w(acht,adj,'semcat:ordinal,').
w(neunt,adj,'semcat:ordinal,').
w(zehnt,adj,'semcat:ordinal,').
w(elft,adj,'semcat:ordinal,').
w(zwoelft,adj,'semcat:ordinal,').
w(dreizehnt,adj,'semcat:ordinal,').
w(vierzehnt,adj,'semcat:ordinal,').
w(fuenfzehnt,adj,'semcat:ordinal,').
w(sechzehnt,adj,'semcat:ordinal,').
w(siebzehnt,adj,'semcat:ordinal,').
w(achtzehnt,adj,'semcat:ordinal,').
w(neunzehnt,adj,'semcat:ordinal,').
w(zwanzigst,adj,'semcat:ordinal,').
w(einunzwanzigst,adj,'semcat:ordinal,').
w(zweiundzwanzigst,adj,'semcat:ordinal,').
w(dreiundzwanzigst,adj,'semcat:ordinal,').
w(vierundzwanzigst,adj,'semcat:ordinal,').
w(fuenfundzwanzigst,adj,'semcat:ordinal,').

w(halb,adj,'semcat:bruchteil,').
w(viertel,adj,'semcat:bruchteil,').
w(dreiviertel,adj,'semcat:bruchteil,').

w(gut,adj,'semcat:qual,').
w(sicher,adj,'semcat:qual,').
w(moeglich,adj,'semcat:qual,').
w(best,adj,'semcat:qual,').
w(guenstig,adj,'semcat:qual,').
w(billigst,adj,'semcat:qual,').
w(preiswert,adj,'semcat:qual,').
w(guenstigst,adj,'semcat:qual,').

w(lang,adj,'semcat:quant,').
w(laenger,adj,'semcat:quant,').
w(wenig,adj,'semcat:quant,').

w(spaet,adj,'semcat:zeit,').
w(spaeter,adj,'semcat:zeit,').
w(frueher,adj,'semcat:zeit,').
w(eher,adj,'semcat:zeit,').
w(stuendlich,adj,'semcat:zeit,').

w(einzig,adj,'semcat:einzig,').
w(ankommend,adj,'semcat:bewegung,').
w(ander,adj,'semcat:andere,').
w(mehrer,adj,'semcat:mehrere,').
w(beid,adj,'semcat:beide,').
w(ganz,adj,'semcat:ganz,').
w(gueltig,adj,'semcat:gueltig,').
w(moeglichst,adj,'semcat:moeglichst,').

%---------------------------------------------------------------- n

w(sekunde,'',n,w11,'semcat:zeiteinheit,det:yes,').
w(minute,'',n,w11,'semcat:zeiteinheit,det:yes,').
w(stunde,'',n,w11,'semcat:zeiteinheit,det:yes,').
w(woche,'',n,w11,'semcat:zeiteinheit,det:yes,').

w(morgen,'',n,m7,'semcat:tageszeit,det:yes,').
w(vormittag,'',n,m1,'semcat:tageszeit,det:yes,').
w(mittag,'',n,m1,'semcat:tageszeit,det:yes,').
w(tag,'',n,m1,'semcat:tageszeit,det:yes,').
w(nachmittag,'',n,m1,'semcat:tageszeit,det:yes,').
w(abend,'',n,m1,'semcat:tageszeit,det:yes,').
w(nacht,'',n,w2,'semcat:tageszeit,det:yes,').

w(montag,'',n,m1,'semcat:tag,det:yes,').
w(dienstag,'',n,m1,'semcat:tag,det:yes,').
w(mittwoch,'',n,m1,'semcat:tag,det:yes,').
w(donnerstag,'',n,m1,'semcat:tag,det:yes,').
w(freitag,'',n,m1,'semcat:tag,det:yes,').
w(samstag,'',n,m1,'semcat:tag,det:yes,').
w(sonnabend,'',n,m1,'semcat:tag,det:yes,').
w(sonntag,'',n,m1,'semcat:tag,det:yes,').
w(feiertag,'',n,m1,'semcat:tag,det:yes,').
w(wochentag,'',n,m1,'semcat:tag,det:yes,').
w(wochenende,'',n,s14,'semcat:tag,det:yes,').
w(neujahr,'',n,s1,'semcat:tag,det:no,').
w(rosenmontag,'',n,m1,'semcat:tag,det:yes,').
w(heiligabend,'',n,m1,'semcat:tag,det:yes,').
w(weihnachten,'',n,s7,'semcat:tag,det:no,').

w(dezember,'',n,m7,'semcat:monat,det:yes,').

w(uhr,'',n,w10,'semcat:uhr,det:yes,').

w(bahnho,f,n,m2,'semcat:ort,det:yes,').
w(grenzbahnho,f,n,m2,'semcat:ort,det:yes,').

w(zu,g,n,m2,'semcat:zug,det:yes,').
w(nachtzu,g,n,m2,'semcat:zug,det:yes,').
w(ic,'',n,m9,'semcat:zug,det:yes,').
w(intercity,'',n,m9,'semcat:zug,det:yes,').
w(eurocity,'',n,m9,'semcat:zug,det:yes,').
w(verbindung,'',n,w10,'semcat:zug,det:yes,').
w(zugverbindung,'',n,w10,'semcat:zug,det:yes,').
w(bahnverbindung,'',n,w10,'semcat:zug,det:yes,').
w(icverbindung,'',n,w10,'semcat:zug,det:yes,').
w(icfahrt,'',n,w10,'semcat:zug,det:yes,').
w(fahrt,'',n,w10,'semcat:zug,det:yes,').
w(weiterfahrt,'',n,w10,'semcat:zug,det:yes,').
w(fahrtmoeglichkeit,'',n,w10,'semcat:zug,det:yes,').
w(zugfahrtmoeglichkeit,'',n,w10,'semcat:zug,det:yes,').

w(information,'',n,w10,'semcat:auskunft,det:yes,').
w(ausku,nft,n,w2,'semcat:auskunft,').
w(vorschla,g,n,m2,'semcat:auskunft,det:yes,').

w(fahrkarte,'',n,w11,'semcat:karte,det:yes,').
w(karte,'',n,w11,'semcat:karte,det:yes,').
w(bahnticket,'',n,s9,'semcat:karte,det:yes,').
w(ticket,'',n,s9,'semcat:karte,det:yes,').

w(bahngleis,'',n,s1,'semcat:bahnsteig,det:yes,').
w(gleis,'',n,s1,'semcat:bahnsteig,det:yes,').
w(bahnsteig,'',n,m1,'semcat:bahnsteig,det:yes,').

w(ankunft,'',n,w2,'semcat:zeitpunkt,det:yes,').
w(ankunftszeit,'',n,w10,'semcat:zeitpunkt,det:yes,').
w(abfahrt,'',n,w10,'semcat:zeitpunkt,det:yes,').
w(abfahrtszeit,'',n,w10,'semcat:zeitpunkt,det:yes,').

w(liegewagen,'',n,m7,'semcat:wagen,det:yes,').
w(schlafwagen,'',n,m7,'semcat:wagen,det:yes,').
w(schlafwagenabteil,'',n,s1,'semcat:wagen,det:yes,').

w(tagesausflu,g,n,m2,'semcat:reise,det:yes,').
w(kurzaufenthalt,'',n,m1,'semcat:reise,det:yes,').
w(aufenthalt,'',n,m1,'semcat:reise,det:yes,').
w(zwischenstopp,'',n,m9,'semcat:reise,det:yes,').

w(ostsee,'',n,w11,'semcat:ort,det:yes,').
w(klasse,'',n,w11,'semcat:klasse,det:yes,').
w(angabe,'',n,w11,'semcat:angabe,').
w(richtung,'',n,w10,'semcat:richtung,det:yes,').
w(moeglichkeit,'',n,w10,'semcat:moeglichkeit,det:yes,').
w(go,tt,n,m4,'semcat:gott,det:yes,').

%-------------------------------------------------------------- adj

m(adj,'  ','case:none').
m(adj,'e ','def:def,case:nom,agr:[number:sing]').
m(adj,'en','case:gen,agr:[number:sing]').
m(adj,'en','case:dat,agr:[number:sing]').
m(adj,'en','def:def,case:acc,agr:[number:sing,gender:m]').
m(adj,'e ','def:def,case:acc,agr:[number:sing,gender:f]').
m(adj,'e ','def:def,case:acc,agr:[number:sing,gender:n]').
m(adj,'er','def:indef,case:nom,agr:[number:sing,gender:m]').
m(adj,'e ','def:indef,case:nom,agr:[number:sing,gender:f]').
m(adj,'es','def:indef,case:nom,agr:[number:sing,gender:n]').
m(adj,'en','def:indef,case:acc,agr:[number:sing,gender:m]').
m(adj,'e ','def:indef,case:acc,agr:[number:sing,gender:f]').
m(adj,'es','def:indef,case:acc,agr:[number:sing,gender:n]').
m(adj,'en','def:def,agr:[number:plur]').
m(adj,'e ','def:indef,case:nom,agr:[number:plur]').
m(adj,'er','def:indef,case:gen,agr:[number:plur]').
m(adj,'en','def:indef,case:dat,agr:[number:plur]').
m(adj,'e ','def:indef,case:acc,agr:[number:plur]').

%---------------------------------------------------------------- n

m(n,m1,'',''  ,'case:nom,agr:[number:sing,gender:m]').
m(n,m1,'','s' ,'case:gen,agr:[number:sing,gender:m]').
m(n,m1,'','es','case:gen,agr:[number:sing,gender:m]').
m(n,m1,'',''  ,'case:dat,agr:[number:sing,gender:m]').
m(n,m1,'','e' ,'case:dat,agr:[number:sing,gender:m]').
m(n,m1,'',''  ,'case:acc,agr:[number:sing,gender:m]').
m(n,m1,'','e' ,'case:nom,agr:[number:plur,gender:m]').
m(n,m1,'','e' ,'case:gen,agr:[number:plur,gender:m]').
m(n,m1,'','en','case:dat,agr:[number:plur,gender:m]').
m(n,m1,'','e' ,'case:acc,agr:[number:plur,gender:m]').

m(n,s1,'',''  ,'case:nom,agr:[number:sing,gender:f]').
m(n,s1,'','s' ,'case:gen,agr:[number:sing,gender:f]').
m(n,s1,'','es','case:gen,agr:[number:sing,gender:f]').
m(n,s1,'',''  ,'case:dat,agr:[number:sing,gender:f]').
m(n,s1,'','e' ,'case:dat,agr:[number:sing,gender:f]').
m(n,s1,'',''  ,'case:acc,agr:[number:sing,gender:f]').
m(n,s1,'','e' ,'case:nom,agr:[number:plur,gender:f]').
m(n,s1,'','e' ,'case:gen,agr:[number:plur,gender:f]').
m(n,s1,'','en','case:dat,agr:[number:plur,gender:f]').
m(n,s1,'','e' ,'case:acc,agr:[number:plur,gender:f]').

m(n,m2,'' ,''  ,'case:nom,agr:[number:sing,gender:m]').
m(n,m2,'' ,'s' ,'case:gen,agr:[number:sing,gender:m]').
m(n,m2,'' ,'es','case:gen,agr:[number:sing,gender:m]').
m(n,m2,'' ,''  ,'case:dat,agr:[number:sing,gender:m]').
m(n,m2,'' ,'e' ,'case:dat,agr:[number:sing,gender:m]').
m(n,m2,'' ,''  ,'case:acc,agr:[number:sing,gender:m]').
m(n,m2,'e','e' ,'case:nom,agr:[number:plur,gender:m]').
m(n,m2,'e','e' ,'case:gen,agr:[number:plur,gender:m]').
m(n,m2,'e','en','case:dat,agr:[number:plur,gender:m]').
m(n,m2,'e','e' ,'case:acc,agr:[number:plur,gender:m]').

m(n,w2,'' ,''  ,'agr:[number:sing,gender:f]').
m(n,w2,'e','e' ,'case:nom,agr:[number:plur,gender:f]').
m(n,w2,'e','e' ,'case:gen,agr:[number:plur,gender:f]').
m(n,w2,'e','en','case:dat,agr:[number:plur,gender:f]').
m(n,w2,'e','e' ,'case:acc,agr:[number:plur,gender:f]').

m(n,m4,'' ,''   ,'case:nom,agr:[number:sing,gender:m]').
m(n,m4,'' ,'s'  ,'case:gen,agr:[number:sing,gender:m]').
m(n,m4,'' ,'es' ,'case:gen,agr:[number:sing,gender:m]').
m(n,m4,'' ,''   ,'case:dat,agr:[number:sing,gender:m]').
m(n,m4,'' ,'e'  ,'case:dat,agr:[number:sing,gender:m]').
m(n,m4,'' ,''   ,'case:acc,agr:[number:sing,gender:m]').
m(n,m4,'e','er' ,'case:nom,agr:[number:plur,gender:m]').
m(n,m4,'e','er' ,'case:gen,agr:[number:plur,gender:m]').
m(n,m4,'e','ern','case:dat,agr:[number:plur,gender:m]').
m(n,m4,'e','er' ,'case:acc,agr:[number:plur,gender:m]').

m(n,m7,'','' ,'case:nom,agr:[number:sing,gender:m]').
m(n,m7,'','s','case:gen,agr:[number:sing,gender:m]').
m(n,m7,'','' ,'case:dat,agr:[number:sing,gender:m]').
m(n,m7,'','' ,'case:acc,agr:[number:sing,gender:m]').
m(n,m7,'','' ,'agr:[number:plur,gender:m]').

m(n,s7,'','' ,'case:nom,agr:[number:sing,gender:n]').
m(n,s7,'','s','case:gen,agr:[number:sing,gender:n]').
m(n,s7,'','' ,'case:dat,agr:[number:sing,gender:n]').
m(n,s7,'','' ,'case:acc,agr:[number:sing,gender:n]').
m(n,s7,'','' ,'agr:[number:plur,gender:n]').

m(n,m9,'','' ,'case:nom,agr:[number:sing,gender:m]').
m(n,m9,'','s','case:gen,agr:[number:sing,gender:m]').
m(n,m9,'','' ,'case:dat,agr:[number:sing,gender:m]').
m(n,m9,'','' ,'case:acc,agr:[number:sing,gender:m]').
m(n,m9,'','s','agr:[number:plur,gender:m]').

m(n,s9,'','' ,'case:nom,agr:[number:sing,gender:n]').
m(n,s9,'','s','case:gen,agr:[number:sing,gender:n]').
m(n,s9,'','' ,'case:dat,agr:[number:sing,gender:n]').
m(n,s9,'','' ,'case:acc,agr:[number:sing,gender:n]').
m(n,s9,'','s','agr:[number:plur,gender:n]').

m(n,w10,'',''  ,'agr:[number:sing,gender:f]').
m(n,w10,'','en','agr:[number:plur,gender:f]').

m(n,w11,'','' ,'agr:[number:sing,gender:f]').
m(n,w11,'','n','agr:[number:plur,gender:f]').

m(n,s14,'','' ,'case:nom,agr:[number:sing,gender:n]').
m(n,s14,'','s','case:gen,agr:[number:sing,gender:n]').
m(n,s14,'','' ,'case:dat,agr:[number:sing,gender:n]').
m(n,s14,'','' ,'case:acc,agr:[number:sing,gender:n]').
m(n,s14,'','n','agr:[number:plur,gender:n]').

%------------------------------------------------------- morphology

morph :-
  tell('lexicon_gen.pl'),
  morphology,
  told.

morphology :-
  w(Text1,Text2,n,Typ,Merkmale),
  write('% n '),write(Text1),write(Text2),nl,
  m(n,Typ,Dekl1,Dekl2,Deklination),
  write('lexicon('),
  write(Text1),write(Dekl1),write(Text2),write(Dekl2),write(','),
  write('n,'),
  write('['),write(Merkmale),write(Deklination),write(']).'),nl,
  fail.

morphology :-
  w(Text,adj,Merkmale),
  write('% adj '),write(Text),nl,
  m(adj,Dekl,Deklination),
  write('lexicon('),
  write(Text),write(Dekl),write(','),
  write('adj,'),
  write('['),write(Merkmale),write(Deklination),write(']).'),nl,
  fail.

morphology.
